[solved] Installed qcad on Centos 6

Use this forum to ask questions about how to do things in QCAD.

Moderator: andrew

Forum rules
Always indicate Operating system, QCAD version
Attach Drawing files, Screenshots
Post one question per topic.
Post Reply
nelson
Newbie Member
Posts: 6
Joined: Mon Dec 02, 2019 3:27 pm

[solved] Installed qcad on Centos 6

Post by nelson » Mon Dec 02, 2019 3:38 pm

Hello,

I need help to install Qcad on a server under centos 6.

I followed the tutorial that you provided on your site but I encounter many errors related to Glibc.

It must be a week that I tried and I even went so far as to compile GCC 4.6 and GLIBC 2.14 but nothing goes.

Can you help me please ?

Here you can see the last error I can't solve by myself :

#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libqcadecmaapi.so)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libqcadentity.so)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libqcadcore.so)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libQt5Core.so.5)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libqcadgui.so)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libqcadoperations.so)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libqcadsnap.so)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libQt5PrintSupport.so.5)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libQt5Widgets.so.5)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libQt5Gui.so.5)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libQt5Script.so.5)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libQt5ScriptTools.so.5)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libQt5Network.so.5)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libQt5Xml.so.5)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libQt5Svg.so.5)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libicui18n.so.56)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libicuuc.so.56)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libspatialindexnavel.so)
#
#QCAD has unexpectedly quit.
#
#Please use the offscreen platform plugin for headless systems
#(without a running X11 server):
#/home/manager/QCAD/qcad -platform offscreen
Last edited by nelson on Tue Dec 03, 2019 9:28 am, edited 1 time in total.

User avatar
andrew
Site Admin
Posts: 6406
Joined: Fri Mar 30, 2007 6:07 am

Re: Installed qcad on Centos 6

Post by andrew » Mon Dec 02, 2019 4:39 pm

Which package did you download / install?

If you haven't already, can you try the QCAD legacy packages with Qt4 ("QCAD Professional 3.23.0 for Linux Legacy Qt4 64bit (tar.gz)", qcad-3.23.0-pro-linux-qt4-x86_64.tar.gz).

nelson
Newbie Member
Posts: 6
Joined: Mon Dec 02, 2019 3:27 pm

Re: Installed qcad on Centos 6

Post by nelson » Mon Dec 02, 2019 5:48 pm

I used the trial version pro 3.23.0 for 64 bit. I also tried the 32-bit version on a Centos 6 32-bit VM and it works except that I need it in 64-bit version :(

User avatar
andrew
Site Admin
Posts: 6406
Joined: Fri Mar 30, 2007 6:07 am

Re: Installed qcad on Centos 6

Post by andrew » Mon Dec 02, 2019 6:12 pm

Again, please do download the legacy package (under “All downloads”).

nelson
Newbie Member
Posts: 6
Joined: Mon Dec 02, 2019 3:27 pm

Re: Installed qcad on Centos 6

Post by nelson » Mon Dec 02, 2019 7:35 pm

I already did it, sorry I did not specify it earlier. Are you sure Qcad can run on CentOS 6 64bit ?

User avatar
andrew
Site Admin
Posts: 6406
Joined: Fri Mar 30, 2007 6:07 am

Re: Installed qcad on Centos 6

Post by andrew » Mon Dec 02, 2019 8:11 pm

nelson wrote:
Mon Dec 02, 2019 7:35 pm
Are you sure Qcad can run on CentOS 6 64bit ?
Yes, the Qt4 package does. The regular package doesn't (as the glibc versions are not compatible).

nelson
Newbie Member
Posts: 6
Joined: Mon Dec 02, 2019 3:27 pm

Re: Installed qcad on Centos 6

Post by nelson » Tue Dec 03, 2019 12:04 am

Oh my god, are you serious, if I understand correctly, I have to install qt4 from qt-everywhere-src-5.10.1.zip and after that, Qcad will work ?

User avatar
andrew
Site Admin
Posts: 6406
Joined: Fri Mar 30, 2007 6:07 am

Re: Installed qcad on Centos 6

Post by andrew » Tue Dec 03, 2019 8:26 am

No, Qt is included in all QCAD packages. On a fresh installation of CentOS 6.10 64bit here, it's just download, install and run.

nelson
Newbie Member
Posts: 6
Joined: Mon Dec 02, 2019 3:27 pm

Re: Installed qcad on Centos 6

Post by nelson » Tue Dec 03, 2019 9:20 am

OK wait. I'll explain in more detail all the problems I've encountered because it's not just "download, install and run".

In the beginning I downloaded the .run file of the 64 bit version and it did not work. Then I took the .tar.gz file which is below "All downloads" and I had problems with Glibc like this one:

#./qcad-bin: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /home/manager/cad/qcad-3.23.0-trial-linux-x86_32/libspatialindexnavel.so)
#
#QCAD has unexpectedly quit.
#
#Please use the offscreen platform plugin for headless systems
#(without a running X11 server):
#./qcad -platform offscreen
#
#In addition, you might have to override the default Qt style
#to prevent the loading of a native desktop style (such as GTK):
#./qcad -style plastique

I looked at the forums and the solution was to compile GCC 4.6 and move the "libstdc++.so.6.0.16" file to the "/usr/lib64" folder and create a link named "libstdc++.so.6".

After that I had the problem that I posted in the first post :

#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libqcadecmaapi.so)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libqcadentity.so)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libqcadcore.so)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libQt5Core.so.5)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libqcadgui.so)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libqcadoperations.so)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libqcadsnap.so)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libQt5PrintSupport.so.5)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libQt5Widgets.so.5)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libQt5Gui.so.5)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libQt5Script.so.5)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libQt5ScriptTools.so.5)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libQt5Network.so.5)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libQt5Xml.so.5)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libQt5Svg.so.5)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libicui18n.so.56)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libicuuc.so.56)
#/home/manager/QCAD/qcad-bin: /lib64/libc.so.6: version `GLIBC_2.14' not found (required by /home/manager/QCAD/libspatialindexnavel.so)
#
#QCAD has unexpectedly quit.
#
#Please use the offscreen platform plugin for headless systems
#(without a running X11 server):
#/home/manager/QCAD/qcad -platform offscreen

Currently I have version 2.12 of Glibc I tried to update to version 2.14 but I can not. I understand that the version of Glibc Centos are not compatible with Qcad but how to do without?

User avatar
andrew
Site Admin
Posts: 6406
Joined: Fri Mar 30, 2007 6:07 am

Re: Installed qcad on Centos 6

Post by andrew » Tue Dec 03, 2019 9:26 am

nelson wrote:
Tue Dec 03, 2019 9:20 am
#./qcad-bin: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.15' not found (required by /home/manager/cad/qcad-3.23.0-trial-linux-x86_32/libspatialindexnavel.so)
This still does not look like the 64bit package and also not like the Qt 4 legacy package. The package you're looking for is labelled "Linux 64bit Qt 4 tar.gz".

Here's a direct link to the trial version of that package:
https://qcad.org/archives/qcad/qcad-3.2 ... _64.tar.gz

This will extract into a folder called "qcad-3.23.0-trial-linux-qt4-x86_64".

Then cd into that folder and run QCAD:

Code: Select all

cd qcad-3.23.0-trial-linux-qt4-x86_64
./qcad
If that does not work, please post the output here.

nelson
Newbie Member
Posts: 6
Joined: Mon Dec 02, 2019 3:27 pm

Re: Installed qcad on Centos 6

Post by nelson » Tue Dec 03, 2019 9:56 am

Thanks a lot, it works :D

But please, add more details on your tutorial because "If you get errors related to GLIBC, you'll have to install the Qt 4 legacy package (with "qt4" in the file name)." it's not precise at all.

User avatar
andrew
Site Admin
Posts: 6406
Joined: Fri Mar 30, 2007 6:07 am

Re: Installed qcad on Centos 6

Post by andrew » Tue Dec 03, 2019 9:59 am

Hmm.. I'll see if that can be made any more clear... Don't see how though. Anyway, thanks for letting me know it works as expected. Marked as solved.

Post Reply

Return to “QCAD 'How Do I' Questions”